Package twisted :: Package application :: Module service

[frames | no frames]

## Module twisted.application.service

Service architecture for Twisted

Services are arranged in a hierarchy. At the leafs of the hierarchy, the services which actually interact with the outside world are started. Services can be named or anonymous -- usually, they will be named if there is need to access them through the hierarchy (from a parent or a sibling).

API Stability: unstable

Maintainer: Moshe Zadka

Classes
`IProcess` | Process running parameters
`IService` | A service.
`IServiceCollection` | Collection of services.
`MultiService` | Straightforward Service Container
`Process` | Process running parameters
`Service` | Base class for services

Function Summary
| ``Application`(name, uid, gid)` Return a compound class.
| ``loadApplication`(filename, kind, passphrase)` Load Application from file

Function Details

### Application(name, uid=None, gid=None)

Return a compound class.

Return an object supporting the `IService`, `IServiceCollection`, `IProcess` and `sob.IPersistable` interfaces, with the given parameters. Always access the return value by explicit casting to one of the interfaces.

### loadApplication(filename, kind, passphrase=None)

Load Application from file

  Parameters:
    `filename`
    (type=`str`)
    `kind`
    (type=`str`)
    `passphrase`
    (type=

    `str`

    Load application from a given file. The serialization format it was saved in should be given as `kind`, and is one of 'pickle', 'source', 'xml' or 'python'. If `passphrase` is given, the application was encrypted with the given passphrase.)

Generated by Epydoc 2.0 on Sat May 15 20:07:59 2004 | http://epydoc.sf.net